from .dimensions import Dimensions
from .position import Position


class Room(Dimensions, Position):
    def __init__(self, width, height):
        Dimensions.__init__(self, width, height)
        Position.__init__(self)

        self._identifier = None
        self._orig_identifier = None

    def set_position(self, x, y):
        self._x = x
        self._y = y

    @property
    def identifier(self):
        return self._identifier

    @identifier.setter
    def identifier(self, rhs):
        self._identifier = rhs
        if self._orig_identifier is None:
            self._orig_identifier = rhs
